SNMPTRAPFMTHDLR(8)

NAME
snmptrapfmthdlr - Trap handler for receiving SNMP Traps

SYNOPSIS
snmptrapfmthdlr

DESCRIPTION
Snmptrapfmthdlr is an application that receives SNMP traps from snmptrapd as a trap handler. The trap data is then forwarded to a local pipe from which a formatting application picks it up and does further processing. The formatting application is snmptrapfmt.

FILES
/etc/snmp/snmptrapd.conf is the configuration file of the snmptrapd daemon, which calls the trap handler snmptrapfmthdlr.

/usr/sbin/snmptrapfmt is the executable of the formatting application.

/usr/sbin/snmptrapfmthdlr is the executable of the trap handler.

/var/run/snmptrapfmt.p is the communication pipe between the trap handler snmptrapfmthdlr and the formatter snmptrapfmt.

/var/tmp/snmptrapfmt.trc is the error file of the application.

SEE ALSO
snmptrapfmt(8)